%global module_name filed

Name:           nodejs-%{module_name}
Version:        0.1.0
Release:        2%{?dist}
Summary:        Simplified file library

# No licesne text in tarball, https://github.com/mikeal/filed/issues/32
License:        ASL 2.0
URL:            https://github.com/mikeal/%{module_name}
Source0:        http://registry.npmjs.org/%{module_name}/-/%{module_name}-%{version}.tgz
Source1:        https://raw.githubusercontent.com/mikeal/filed/master/LICENSE
BuildArch:      noarch
ExclusiveArch:  %{nodejs_arches} noarch

BuildRequires:  nodejs-packaging

%description
%{summary}.

%prep
%setup -q -n package
rm -rf node_modules
# copy upstream license file not yet released in tarball
cp -p %{SOURCE1} .

%build


%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{module_name}
cp -pr package.json *.js %{buildroot}%{nodejs_sitelib}/%{module_name}
%nodejs_symlink_deps


%check
%nodejs_symlink_deps --check

%files
%doc README.md LICENSE
%{nodejs_sitelib}/%{module_name}


%changelog
* Thu Oct 02 2014 Parag Nemade <pnemade AT redhat DOT com> - 0.1.0-2
- Added license text

* Wed Sep 24 2014 Parag Nemade <pnemade AT redhat DOT com> - 0.1.0-1
- Initial packaging

